
//<MyLottie path='./living-bg.json' style={{ width: '100%', height: '100%', position: 'absolute', top: 0, left: 0, zIndex: 2 }}/>
import React, { Fragment } from 'react';
import lottie from 'lottie-web';

class MyLottie extends React.Component {

  componentDidMount() {
    this.renderLottie()
  }

  renderLottie() {
    const { path, id, loop, autoplay } = this.props;
    if (path) {
      this.timer = setTimeout(() => {
        this.lottie = lottie.loadAnimation({
          container: document.getElementById(id || 'lottie'), //this.lottieRef, // the dom element that will contain the animation
          renderer: 'svg',
          loop: loop || false,
          autoplay: autoplay || false,
          path, // the path to the animation json
        });

        this.lottie.addEventListener('data_ready', () => {
          if (this.props.saveLottie) {
            this.props.saveLottie(this.lottie)
          }
        });
      }, 300);
    }
  }

  componentWillUnmount() {
    if (this.lottie) {
      this.lottie.destroy();
    }
    if (this.timer) {
      clearTimeout(this.timer);
    }
  }

  closeLottie() {
    if (this.lottie) {
      this.lottie.destroy();
    }
  }

  testLog() {
    this.lottie.play()
  }

  render() {
    return (
      <Fragment>
        <div
          className={this.props.className || ''}
          ref={ref => (this.lottieRef = ref)}
          id={this.props.id || 'lottie'}
          style={this.props.style || {}}
        ></div>
        {/* <button onClick={ this.testLog.bind(this) }>1212</button> */}
      </Fragment>
    );
  }
}

export default MyLottie;

MyLottie.defaultProps = {
  path: ''
}
