import React, {Fragment} from 'react'
import styles from './PopContainer.less'

//弹出层
class PopContainer extends React.Component {

  onClose() {
    this.props.onClose()
  }

  render() {
    const { visible, title, className, bodyHeight } = this.props
    const containerHeight = bodyHeight ? bodyHeight / 100 + 'rem' : '7rem'
    return (
      <div className={className ? className : '' }>
        <div className={visible ? 'mask' : 'no-height'} onClick={this.onClose.bind(this)}></div>
        <div 
          className={styles.popContainer}
          style={{ height: visible ? containerHeight : '0rem' }}
        >
          <div className={title ? styles.title : 'hidden' }>
            <span>{title}</span>
            <div className={`iconfont icon-guanbi ${styles['icon-close']}`} onClick={this.onClose.bind(this)}/> 
          </div>
          <div className={styles.body}>
            {this.props.children}
          </div>
        </div>
      </div>

    )
  }
}

export default PopContainer