import styles from './index.css';
import 'antd-mobile/dist/antd-mobile.css';  // or 'antd-mobile/dist/antd-mobile.less'
import NativeHook from '@/utils/NativeHook'
import React from 'react';

class BasicLayout extends React.Component {

  componentDidMount() {
    NativeHook.init()
  }

  componentWillUnmount() {
    NativeHook.destroy()
  }

  handleClose = ()=>{
    NativeHook.call.close()
  }

  render() {
    return (
      <div className={styles.normal}>
        <div style={{ width: '100%', height: '100%' }} onClick={this.handleClose}></div>
        <div className={styles.layout}>
          {this.props.children}
        </div>
      </div>
    )
  }
}

export default BasicLayout;
